[PATCH v2 0/9] remote-hg, remote-bzr fixes

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



A handful of fixes for the git-remote-hg and git-remote-bzr remote
helpers and their unit tests.

Changes from v1:

diff --git a/contrib/remote-helpers/test-bzr.sh b/contrib/remote-helpers/test-bzr.sh
index ea597b0..1e53ff9 100755
--- a/contrib/remote-helpers/test-bzr.sh
+++ b/contrib/remote-helpers/test-bzr.sh
@@ -5,8 +5,8 @@
 
 test_description='Test remote-bzr'
 
-cd "${0%/*}"/../../t || exit 1
-. ./test-lib.sh
+test -n "$TEST_DIRECTORY" || TEST_DIRECTORY=${0%/*}/../../t
+. "$TEST_DIRECTORY"/test-lib.sh
 
 if ! test_have_prereq PYTHON
 then
@@ -28,9 +28,6 @@ check () {
 
 bzr whoami "A U Thor <author@xxxxxxxxxxx>"
 
-# silence warnings
-git config --global push.default simple
-
 test_expect_success 'cloning' '
 	(
 	bzr init bzrrepo &&
@@ -382,7 +379,7 @@ test_expect_success 'export utf-8 authors' '
 	git add content &&
 	git commit -m one &&
 	git remote add bzr "bzr::../bzrrepo" &&
-	git push -u bzr master
+	git push bzr master
 	) &&
 
 	(
diff --git a/contrib/remote-helpers/test-hg.sh b/contrib/remote-helpers/test-hg.sh
index 9f5066b..347e812 100755
--- a/contrib/remote-helpers/test-hg.sh
+++ b/contrib/remote-helpers/test-hg.sh
@@ -8,8 +8,8 @@
 
 test_description='Test remote-hg'
 
-cd "${0%/*}"/../../t || exit 1
-. ./test-lib.sh
+test -n "$TEST_DIRECTORY" || TEST_DIRECTORY=${0%/*}/../../t
+. "$TEST_DIRECTORY"/test-lib.sh
 
 if ! test_have_prereq PYTHON
 then
@@ -102,9 +102,6 @@ setup () {
 	GIT_AUTHOR_DATE="2007-01-01 00:00:00 +0230" &&
 	GIT_COMMITTER_DATE="$GIT_AUTHOR_DATE" &&
 	export GIT_COMMITTER_DATE GIT_AUTHOR_DATE
-
-	# silence warnings
-	git config --global push.default simple
 }
 
 setup
@@ -210,16 +207,16 @@ test_expect_success 'authors' '
 	>../expected &&
 	author_test alpha "" "H G Wells <wells@xxxxxxxxxxx>" &&
 	author_test beta "beta" "beta <unknown>" &&
-	author_test beta "beta <test@xxxxxxxxxxx> (comment)" "beta <test@xxxxxxxxxxx>" &&
-	author_test gamma "<gamma@xxxxxxxxxxx>" "Unknown <gamma@xxxxxxxxxxx>" &&
-	author_test delta "delta<test@xxxxxxxxxxx>" "delta <test@xxxxxxxxxxx>" &&
-	author_test epsilon "epsilon <test@xxxxxxxxxxx" "epsilon <test@xxxxxxxxxxx>" &&
-	author_test zeta " zeta " "zeta <unknown>" &&
-	author_test eta "eta < test@xxxxxxxxxxx >" "eta <test@xxxxxxxxxxx>" &&
-	author_test theta "theta >test@xxxxxxxxxxx>" "theta <test@xxxxxxxxxxx>" &&
-	author_test iota "iota < test <at> example <dot> com>" "iota <unknown>" &&
-	author_test kappa "kappa@xxxxxxxxxxx" "Unknown <kappa@xxxxxxxxxxx>" &&
-	author_test lambda "lambda.lambda@xxxxxxxxxxx" "Unknown <lambda.lambda@xxxxxxxxxxx>"
+	author_test gamma "gamma <test@xxxxxxxxxxx> (comment)" "gamma <test@xxxxxxxxxxx>" &&
+	author_test delta "<delta@xxxxxxxxxxx>" "Unknown <delta@xxxxxxxxxxx>" &&
+	author_test epsilon "epsilon<test@xxxxxxxxxxx>" "epsilon <test@xxxxxxxxxxx>" &&
+	author_test zeta "zeta <test@xxxxxxxxxxx" "zeta <test@xxxxxxxxxxx>" &&
+	author_test eta " eta " "eta <unknown>" &&
+	author_test theta "theta < test@xxxxxxxxxxx >" "theta <test@xxxxxxxxxxx>" &&
+	author_test iota "iota >test@xxxxxxxxxxx>" "iota <test@xxxxxxxxxxx>" &&
+	author_test kappa "kappa < test <at> example <dot> com>" "kappa <unknown>" &&
+	author_test lambda "lambda@xxxxxxxxxxx" "Unknown <lambda@xxxxxxxxxxx>" &&
+	author_test mu "mu.mu@xxxxxxxxxxx" "Unknown <mu.mu@xxxxxxxxxxx>"
 	) &&
 
 	git clone "hg::hgrepo" gitrepo &&
diff --git a/t/test-lib.sh b/t/test-lib.sh
index b25249e..af172d9 100644
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
@@ -26,6 +26,10 @@ then
 	# outside of t/, e.g. for running tests on the test library
 	# itself.
 	TEST_DIRECTORY=$(pwd)
+else
+	# ensure that TEST_DIRECTORY is an absolute path so that it
+	# works even if the current working directory is changed
+	TEST_DIRECTORY=$(cd "$TEST_DIRECTORY" && pwd) || exit 1
 fi
 if test -z "$TEST_OUTPUT_DIRECTORY"
 then

Richard Hansen (9):
  remote-hg:  don't decode UTF-8 paths into Unicode objects
  test-lib.sh: convert $TEST_DIRECTORY to an absolute path
  test-bzr.sh, test-hg.sh: allow running from any dir
  test-bzr.sh, test-hg.sh: prepare for change to push.default=simple
  test-hg.sh: eliminate 'local' bashism
  test-hg.sh: avoid obsolete 'test' syntax
  test-hg.sh: fix duplicate content strings in author tests
  test-hg.sh: help user correlate verbose output with email test
  remote-bzr, remote-hg: fix email address regular expression

 contrib/remote-helpers/git-remote-bzr |  7 +++----
 contrib/remote-helpers/git-remote-hg  |  9 ++++-----
 contrib/remote-helpers/test-bzr.sh    |  5 +++--
 contrib/remote-helpers/test-hg.sh     | 30 ++++++++++++++++--------------
 t/test-lib.sh                         |  4 ++++
 5 files changed, 30 insertions(+), 25 deletions(-)

-- 
1.8.5.rc1.208.g8ff7964

--
To unsubscribe from this list: send the line "unsubscribe git" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html




[Index of Archives]     [Linux Kernel Development]     [Gcc Help]     [IETF Annouce]     [DCCP]     [Netdev]     [Networking]     [Security]     [V4L]     [Bugtraq]     [Yosemite]     [MIPS Linux]     [ARM Linux]     [Linux Security]     [Linux RAID]     [Linux SCSI]     [Fedora Users]

  Powered by Linux